Querio

Add a follow-up turn

POST
/v2/embed/{customer_slug}/conversations/{conversationId}/turns
AuthorizationBearer <token>

Bearer token authentication:

Include your API token in the Authorization header: Authorization: Bearer <your_token>

You will receive your token during onboarding.

In: header

Path Parameters

customer_slugstring

Your organization's unique identifier

conversationIdstring

The conversation identifier

promptstring

Follow-up question or instruction

Response Body

curl -X POST "https://app.querio.ai/api/v2/embed/querio/conversations/conv_abc123xyz/turns" \  -H "Content-Type: application/json" \  -d '{    "prompt": "How about in the last 7 days?"  }'
Empty

{
  "code": "invalid_client",
  "message": "Authentication failed: invalid or expired token"
}

{
  "code": "not_found",
  "message": "Conversation not found"
}

{
  "code": "conflict",
  "message": "Cannot add a turn while the previous turn is still processing"
}

{
  "code": "querio_error",
  "message": "Unexpected internal error"
}